%global debug_package %{nil}
Name:           git-remote-bzr
Version:        0.2
Release:        9%{?dist}
BuildArch:      noarch
Summary:        Bazaar wrapper for git
License:        GPLv2+
Group:          Development/Tools
URL:            https://github.com/felipec/git-remote-bzr
Source0:        https://github.com/felipec/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  asciidoc >= 8.4.1
BuildRequires:  python2-devel
Requires:       python2
Requires:       git
Requires:       bzr
Obsoletes:      git-bzr

%description
git-remote-bzr is the semi-official Bazaar bridge from Git project.
Once installed, it allows you to clone, fetch and push to and from Bazaar
repositories as if they were Git ones.

%prep
%setup -q
sed -i -e "1 s|^#!.*|#!%{__python2}|" git-remote-bzr
sed -i -e 's|\tinstall|\tinstall -p|' Makefile

%build
make doc

%check
make test

%install
export HOME=%{_prefix}
export DESTDIR=%{buildroot}
make install
make install-doc

%files
%doc LICENSE
%{_bindir}/git-remote-bzr
%{_mandir}/man1/*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Nov 28 2014 Petr Stodulka <pstodulk@redhat.com> - 0.2-3
- added obsoletes for git-bzr (#1164212)

* Mon Jun 23 2014 Ondrej Oprala <ooprala@redhat.com> - 0.2-2
- Explicitly disable debug_package (noarch by itself
still runs find-debuginfo.sh)

* Fri Jun 20 2014 Ondrej Oprala <ooprala@redhat.com> - 0.2-1
- initial git-remote-bzr spec file
